version: '2'

services:
  iarchivclient:
    build: ./iarchiv-client
    expose:
    - "80"
    - "443"
    ports:
    - "80:80"
    volumes:
    - ./iarchiv-client/dist/docker:/usr/share/nginx/html/
  iarchivserver:
    build: ./iarchiv-server
    expose:
    - "3000"
    ports:
    - "3000:3000"
    - "5000:5000"
    - "5858:5858"
    command: npm run inspect
    depends_on:
    - "redis"
    volumes:
    - ./iarchiv-server:/usr/src/app
#  pdfworker:
#    expose:
#     - "1337"
#    ports:
#    - "1337:1337"
#    command: sh -c "bash ./startstage.sh"
#    image: aligg73/nodejs-libre-iarchiv
#    volumes:
#    - ./iarchiv-pdf-worker:/usr/src/app
  redis:
    image: redis
    ports:
    - "6379:6379"